%define name qextmdi
%define version 2.0.2
%define release 2mdk

%define major 2
%define libname lib%name%major

Name: 			%{name}
Version: 		%{version}
Release: 		%{release}
Summary: 		Multiple document extension for QT.

Source:			%{name}-%{version}.tar.bz2
URL:			http://www.geocities.com/gigafalk/qextmdi/news_en.html
License:		GPL
Group:			Development/KDE and Qt
BuildRoot:		%{_tmppath}/%{name}-buildroot
BuildRequires:	libqt3-devel tmake kdelibs-devel

%description
QextMDI (Qt-extension for MDI) is a C++ GUI library and set of classes for 
extending Qt. It takes the part of visualization of MDI (Multiple Document 
Interface) application architectures to create "MDI" applications. There are 
multiple visualization modes: Unix-like with all windows as toplevel, TabPage 
mode, MDI-like MS Windows standard, and faked SDI mode. It supports compilation
as a KDE 2 extension library (in which case it is based on 
KParts::DockMainWindow and kdeui.so). It offers the ability to decorate the 
MDI views with Win9x, KDE1, default KDE2, and KDE laptop window manager styles.
It uses the dock/undock features and various view positioning algorithms.

%package -n %{libname}
Summary: Main library for %name
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
QextMDI (Qt-extension for MDI) is a C++ GUI library and set of classes for 
extending Qt. It takes the part of visualization of MDI (Multiple Document 
Interface) application architectures to create "MDI" applications. There are 
multiple visualization modes: Unix-like with all windows as toplevel, TabPage 
mode, MDI-like MS Windows standard, and faked SDI mode. It supports compilation
as a KDE 2 extension library (in which case it is based on 
KParts::DockMainWindow and kdeui.so). It offers the ability to decorate the 
MDI views with Win9x, KDE1, default KDE2, and KDE laptop window manager styles.
It uses the dock/undock features and various view positioning algorithms.

%package -n %{libname}-devel
Summary: 	Headers for developing programs that will use %name.
Group: 		Development/KDE and Qt
Requires: 	%{libname} = %{version}
Provides: 	lib%{name}-devel = %{version}-%{release}
Provides: 	%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use libraries from %name.

%prep
%setup -q -n %name

%build
#configure
export QTDIR=/usr/lib/qt3
export QEXTMDIDIR=`pwd`
./configure
perl -p -i -e 's/lqt/lqt\-mt/g' `find -name 'Makefile'`

#examples don't seem to build
rm -fr examples
mv Makefile Makefile.old
head -2 Makefile.old > Makefile
make
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_libdir
mkdir -p $RPM_BUILD_ROOT/%_includedir
cp --preserve=links lib/* $RPM_BUILD_ROOT/%_libdir
#don't conflict with kdelibs-devel
rm -f include/k*.h
cp include/*.h $RPM_BUILD_ROOT/%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/*.so

%changelog
* Thu Jan 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.2-2mdk
- Fix spec file, fix group ( bug reported by titi), fix description

* Tue Jan 28 2003 Austin Acton <aacton@yorku.ca> 2.0.2-1mdk
- initial package
